Subject: Re: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: Ihor Radchenko <[email-masked]>
Date: Mon, 09 Dec 2019 17:55:16 +0800

> Having a tiled layout, do you need to set 'frame-resize-pixelwise' to
> t at all?  I thought a tiling WM would ignore size hints anyway.

In my WM (Awesome WM), I always see a small gap below the maximised emacs
frame. The gap disappears when I set 'frame-resize-pixelwise' to 't.

> This seems typical of applying a frame character size based
> maximization first and a pixelwise maximization afterwards.  Does it
> fully maximize immediately when you build Emacs with the default
> configuration or do you see such an intermediate frame size too?

The intermediate frame size seems to be the way Awesome WM handles newly
created windows. First, the window is being created without respecting
the tiling layout. Then, the window seems to be resized according to
layout.

Best,
Ihor

martin rudalics <[email-masked]> writes:

>  > The default emacs frame is just around a quarter of screen size (as it
>  > appears in floating window layout) and I can sometimes see it appearing
>  > for a split second in a tile layout before being resized.
>
> Having a tiled layout, do you need to set 'frame-resize-pixelwise' to
> t at all?  I thought a tiling WM would ignore size hints anyway.
>
>  > Also, as I showed in emacs -Q recipe, failure to redraw the frame
>  > can also be triggered in a maximised or a full screen emacs frame. The
>  > frame is also being resized there, though it is much less noticeable
>  > (just closing small gap below the maximised frame).
>
> This seems typical of applying a frame character size based
> maximization first and a pixelwise maximization afterwards.  Does it
> fully maximize immediately when you build Emacs with the default
> configuration or do you see such an intermediate frame size too?
>
> martin